Results 1 to 3 of 3

Thread: autolisp in LDD

  1. #1
    Member
    Join Date
    2003-07
    Posts
    6
    Login to Give a bone
    0

    Default autolisp in LDD

    I using LDD 2i, i often need other routine that not available in LDD, so i try to make in autolisp. I have several problem :
    1. How to access point id in my LDD point database so i can use the attribute of that point to my lisp.
    2. How to call the menu in LISP? example : i want to use Point -> Create Point -> Manual in LISP. (Menu Point are available in LDD)

    Thanx a lot

  2. #2
    Member
    Join Date
    2004-02
    Location
    Tampa, Florida
    Posts
    32
    Login to Give a bone
    0

    Default Re: autolisp in LDD

    how about this
    Code:
    (defun MST-CreateCogoPoint (PointCoords / AeccProject Pnts NewPoint)
    
      (vl-load-com)
    
      (if
        (listp PointCoords)
        (progn
          (vl-catch-all-apply 
            (function 
              (lambda () 
                (setq AeccProject
                      (vlax-get-property
                        (vla-getinterfaceobject
                          (vlax-get-acad-object) "Aecc.Application")
                        'ActiveProject)
                      ); setq
    
                (setq Pnts 
                      (vlax-get-property
                        AeccProject 'CogoPoints)
                      ); setq
    
                (setq 
                  Count (vlax-get-property Pnts 'Count)
                  ) 
    
                (setq
                  NewPoint
                  (vlax-invoke-method Pnts 'Add 
                    (vlax-3D-point PointCoords) 1)
                  ); setq
    
                (setq
                  NewPointNum (vlax-get-property NewPoint 'Number)
                  )
                ); lambda
              ); function
            ); vl-catch-all-apply
          ); progn
        ); if
    
      ); defun

  3. #3
    Member
    Join Date
    2003-07
    Posts
    6
    Login to Give a bone
    0

    Default Re: autolisp in LDD

    Thanx mark, let me try this lisp. I still confusing about how to make lisp to draw polyline with given ID Point or Description of point, not the coordinat or getent thing. I think that gonna be a big memory, because i had to collect all information about that point using selection of set do i right?

Similar Threads

  1. AutoLISP
    By dderr368271 in forum AutoLISP
    Replies: 13
    Last Post: 2014-03-06, 10:46 AM
  2. autolisp help
    By sam_ctlim in forum AutoCAD General
    Replies: 9
    Last Post: 2008-06-11, 11:51 AM
  3. Autolisp
    By bulalakaw80 in forum AutoCAD Customization
    Replies: 6
    Last Post: 2007-11-15, 07:32 PM
  4. AutoLisp or VBA
    By red2002yzfr1 in forum ACA General
    Replies: 6
    Last Post: 2006-05-22, 02:36 PM
  5. autolisp help
    By guyogordo in forum AutoLISP
    Replies: 9
    Last Post: 2004-09-20, 12:15 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •